*******************************
*Multilevel Workshop I Examples
*June 20/21, 2013
*StatLab@UVa Library
*Michele Claibourn
*******************************

***Implementation and Interpretation***
**Multilevel Model Estimation
*Load High School and Beyond Data.
GET FILE='C:\Users\mpc8t\Downloads\schools.sav'.

**One-way ANOVA with Random Effects.
mixed mathach
  /random intercept | subject(school) 
  /print=solution testcov.

*The intra-class correlation.
compute icc=8.614025/(8.614025+39.148322).
descriptives variables=icc
  /statistics=mean.

**Random Intercept.
mixed mathach with cses
  /fixed = cses
  /random intercept | subject(school) 
  /print=solution testcov.

**Random Coefficients.
mixed mathach with cses
  /fixed = cses
  /random intercept cses | subject(school) covtype(un)
  /print=solution testcov.

*Is random coefficient statistically significant?.
*SPSS provides the Wald (2-tailed) test of significance; unclear how to obtain the LR test, though it can be calculated by hand.

**(Linear) Mixed Effects.
mixed mathach with cses catholic
  /fixed = cses catholic catholic*cses
  /random intercept cses | subject(school) covtype(un)
  /print=solution testcov.

*PRE: Intercept Variance.
compute preInt = 1 - (6.750415/8.681643).
*PRE: Coefficient Variance.
compute preCoef =  1 - (.265692/.693995).
descriptives variables=preInt preCoef
  /statistics=mean.



